import { Composer } from "../composer";
import { MessageContext } from "vk-io";
import { composer as updatesHandler } from "./updates";
import { composer as helpHandler } from "./help";
import { composer as balabolaHandler } from "./balabola";
import { composer as errorHandler } from "./error";

const handlers = new Composer<MessageContext>();
export default handlers;

handlers.use(errorHandler.compose());
handlers.use(updatesHandler.compose());
handlers.use(helpHandler.compose());
handlers.use(balabolaHandler.compose());
